= render layout: 'layouts/auth_app/center' do
  = render 'tabs'
  = form_with url: reset_with_code_update_password_path, method: 'put' do
    = hidden_field_tag 'recovery_service', 'recovery_code'
    -# user has 10 minutes until they must go back to check-code
    = hidden_field_tag 'recovery_user', @user&.to_sgid(for: 'recovery_code', expires_at: Time.now.advance(minutes: 10)).to_s
    = hidden_field_tag 'recovery_secret', params[:recovery_secret]
    .mb-3
      = label_tag '', t(:username), class: 'form-label'
      = text_field_tag '', @user&.login, class: 'form-control is-valid', disabled: true
    - if @show_password_tips
      .small.alert.alert-secondary= render 'auth_app/passwords/password_tips'
    = render 'auth_app/passwords/password_field', errors: @errors, field: :new_password, autocomplete: false
    = render 'auth_app/passwords/password_field', errors: @errors, field: :password_confirmation, autocomplete: false

    .btn-toolbar.mt-2
      = link_to app_root_url, class: 'btn btn-outline-secondary' do
        - icon(:cancel, t(:cancel))
      = button_tag class: 'btn btn-success', type: 'submit' do
        - icon(:ok, t(:change_password))
